;(function($) {	// noflict for $ jquery
	$(document).ready(function(){
		$(".cnbbr_datagrid_tab tr.cnbbr_datagrid_tr_data").each(function(){
			$(this).hover(function(){
				$(this).children().addClass("cnbbr_datagrid_hover");
			},function(){
				$(this).children().removeClass("cnbbr_datagrid_hover");
			});
		});
		//功能按钮
		$(".cnbbr_functionbtnsbox button:not([bbrbtnaction=historyback])").each(function(){
			$(this).click(function(){
				var bbrbtnrequired=$(this).attr("bbrbtnrequired");
				var bbrbtngroup=$(this).attr("bbrbtngroup");
				var bbrbtnaction=$(this).attr("bbrbtnaction");

				if(bbrbtnrequired && $("form[name=formdatagrid] input:checked").length<=0){
					alert('【提示】请先从记录列表里选中你要操作的记录，再点击此按钮！');
					//$.fn.colorbox_cnbbrcom.tip('请先从记录列表里选中你要操作的记录，再点击此按钮！');
					return false;
				}
				if(bbrbtnaction=='delete'){	//删除按钮提示
					if(!confirm('您正在执行删除操作，请再次确认是否删除？')){
						return false;
					}
				}
				if(bbrbtnaction=='recover'){	//恢复删除按钮提示
					if(!confirm('您正在执行恢复操作，请再次确认是否恢复？')){
						return false;
					}
				}
				if(bbrbtnaction=='lock'){	//恢复删除按钮提示
					if(!confirm('您正在执行禁用操作，禁用对[已删除状态]的记录无效，请再次确认是否锁定？')){
						return false;
					}
				}
				if(bbrbtnaction=='addpower'){	//设为管理按钮提示
					if(!confirm('您正在为用户添加管理员权限，请再次确认是否继续？')){
						return false;
					}
				}
				if(bbrbtngroup=='cls'){
					if(!confirm('当前分类的状态修改操作将会继承到其所有子分类，请确认是否继续？')){
						return false;
					}
				}
				if($("#formdatagridact").length>0){	// 列表操作
					$("#formdatagridact").val(bbrbtnaction);
					$("form[name=formdatagrid]").submit();
				}else{	//单对象操作
					if (/MSIE (\d+\.\d+);/.test(navigator.userAgent)){
						var datagridreferLink = document.createElement('a');  
						datagridreferLink.href = bbrbtnaction;  
						document.body.appendChild(datagridreferLink);  
						datagridreferLink.click();
					} else {  
						location.href = bbrbtnaction;
					}
				}

				return false;
			});
		});
		//SQL数据筛选框
		$(".cnbbr_datagrid_tab_sqlselector select").each(function(){
			$(this).change(function(){
				var self_file_name_prefix=$("#formdatagridself_file_name_prefix").val();
				$.cookie(self_file_name_prefix+"_"+$(this).attr("name"),$(this).val(),"{expires:7}");
				location.reload();
			});
		});
	});
})(jQuery);